--- !ruby/object:Gem::Specification
name: hammer_cli
version: !ruby/object:Gem::Version
  version: 0.1.3
platform: ruby
authors:
- Martin Bačovský
- Tomáš Strachota
autorequire: 
bindir: bin
cert_chain: []
date: 2014-08-20 00:00:00.000000000 Z
dependencies:
- !ruby/object:Gem::Dependency
  name: clamp
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: rest-client
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - <
      - !ruby/object:Gem::Version
        version: 1.7.0
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - <
      - !ruby/object:Gem::Version
        version: 1.7.0
- !ruby/object:Gem::Dependency
  name: logging
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: awesome_print
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: table_print
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: highline
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: fast_gettext
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: locale
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - <=
      - !ruby/object:Gem::Version
        version: 2.0.9
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - <=
      - !ruby/object:Gem::Version
        version: 2.0.9
- !ruby/object:Gem::Dependency
  name: json
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: fastercsv
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: mime-types
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '1.0'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '1.0'
- !ruby/object:Gem::Dependency
  name: apipie-bindings
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 0.0.8
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 0.0.8
description: |
  Hammer cli provides universal extendable CLI interface for ruby apps
email: mbacovsk@redhat.com
executables:
- hammer
extensions: []
extra_rdoc_files:
- doc/option_builders.md
- doc/design.uml
- doc/writing_a_plugin.md
- doc/installation_gem.md
- doc/option_normalizers.md
- doc/development_tips.md
- doc/i18n.md
- doc/creating_apipie_commands.md
- doc/developer_docs.md
- doc/design.png
- doc/creating_commands.md
- doc/installation_source.md
- doc/installation_rpm.md
- doc/installation.md
- doc/installation_deb.md
- doc/release_notes.md
- config/cli.modules.d/module_config_template.yml
- config/cli_config.template.yml
- README.md
files:
- lib/hammer_cli.rb
- lib/hammer_cli/clamp.rb
- lib/hammer_cli/options/option_definition.rb
- lib/hammer_cli/options/normalizers.rb
- lib/hammer_cli/logger.rb
- lib/hammer_cli/messages.rb
- lib/hammer_cli/main.rb
- lib/hammer_cli/connection.rb
- lib/hammer_cli/apipie.rb
- lib/hammer_cli/settings.rb
- lib/hammer_cli/completer.rb
- lib/hammer_cli/modules.rb
- lib/hammer_cli/exception_handler.rb
- lib/hammer_cli/logger_watch.rb
- lib/hammer_cli/i18n.rb
- lib/hammer_cli/apipie/command.rb
- lib/hammer_cli/apipie/resource.rb
- lib/hammer_cli/apipie/option_builder.rb
- lib/hammer_cli/apipie/options.rb
- lib/hammer_cli/version.rb
- lib/hammer_cli/utils.rb
- lib/hammer_cli/exceptions.rb
- lib/hammer_cli/validator.rb
- lib/hammer_cli/output/adapter.rb
- lib/hammer_cli/output/dsl.rb
- lib/hammer_cli/output/record_collection.rb
- lib/hammer_cli/output/adapter/csv.rb
- lib/hammer_cli/output/adapter/base.rb
- lib/hammer_cli/output/adapter/table.rb
- lib/hammer_cli/output/adapter/abstract.rb
- lib/hammer_cli/output/adapter/silent.rb
- lib/hammer_cli/output/formatters.rb
- lib/hammer_cli/output/fields.rb
- lib/hammer_cli/output/output.rb
- lib/hammer_cli/output/definition.rb
- lib/hammer_cli/output/field_filter.rb
- lib/hammer_cli/option_builder.rb
- lib/hammer_cli/output.rb
- lib/hammer_cli/exit_codes.rb
- lib/hammer_cli/shell.rb
- lib/hammer_cli/abstract.rb
- lib/hammer_cli/subcommand.rb
- test/reports/TEST-HammerCLI-MainCommand.xml
- test/reports/TEST-HammerCLI-ShellHistory.xml
- test/reports/TEST-Fields-Field-display-blank-is-not-allowed.xml
- test/reports/TEST-Fields-ContainerField-display-blank-is-not-allowed.xml
- test/reports/TEST-HammerCLI-OptionBuilderContainer.0.xml
- test/reports/TEST-HammerCLI-Output-Adapter-CSValues.xml
- test/reports/TEST-HammerCLI-CompleterWord-complete-.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Table-print-collection-column-width.xml
- test/reports/TEST-HammerCLI-Options-OptionDefinition-context.xml
- test/reports/TEST-HammerCLI-Output-Definition.xml
- test/reports/TEST-HammerCLI-ShellHistory-loading-old-history.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-key-value-list.xml
- test/reports/TEST-HammerCLI-Apipie-Command-options.xml
- test/reports/TEST-HammerCLI-Apipie-Command-resource-defined.xml
- test/reports/TEST-HammerCLI-Output-Formatters-FormatterContainer.xml
- test/reports/TEST-HammerCLI-Output-Formatters-BooleanFormatter.xml
- test/reports/TEST-HammerCLI-Output-Adapter-CSValues-print-collection-formatters.xml
- test/reports/TEST-HammerCLI-AbstractCommand-subcommand-behavior.xml
- test/reports/TEST-constraints.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Table.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-enum.xml
- test/reports/TEST-HammerCLI-AbstractCommand-option-builder.xml
- test/reports/TEST-constraints-HammerCLI-Validator-BaseConstraint.xml
- test/reports/TEST-HammerCLI-Apipie-Command.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-bool.xml
- test/reports/TEST-HammerCLI-Apipie-OptionBuilder-with-hash-params.xml
- test/reports/TEST-HammerCLI-Output-Adapter-CSValues-print-collection-handle-ids.xml
- test/reports/TEST-Fields-ContainerField.xml
- test/reports/TEST-HammerCLI-AbstractCommand-output.xml
- test/reports/TEST-HammerCLI-Apipie-OptionBuilder-required-options.xml
- test/reports/TEST-HammerCLI-Modules.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-abstract.xml
- test/reports/TEST-HammerCLI-Apipie-OptionBuilder-filtering-options.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Table-print-collection.xml
- test/reports/TEST-HammerCLI-Options-OptionDefinition-formatters.xml
- test/reports/TEST-HammerCLI-Apipie-OptionBuilder-aliasing-resources.xml
- test/reports/TEST-HammerCLI-Modules-find-by-name.xml
- test/reports/TEST-HammerCLI-Output-Output-formatters.xml
- test/reports/TEST-HammerCLI-Output-Formatters-ListFormatter.xml
- test/reports/TEST-HammerCLI-AbstractCommand-exception-handler.xml
- test/reports/TEST-HammerCLI-CompleterLine-splitting-words.xml
- test/reports/TEST-HammerCLI-Output-Output.xml
- test/reports/TEST-HammerCLI-Apipie-OptionBuilder-with-one-simple-param.xml
- test/reports/TEST-HammerCLI-CompleterLine.xml
- test/reports/TEST-HammerCLI-Modules-names.xml
- test/reports/TEST-Fields-Field-hide-blank-.xml
- test/reports/TEST-HammerCLI-AbstractCommand-logging.xml
- test/reports/TEST-HammerCLI-Connection.xml
- test/reports/TEST-HammerCLI-CompleterWord-quote.xml
- test/reports/TEST-HammerCLI-AbstractCommand-build-options.xml
- test/reports/TEST-HammerCLI-Output-Formatters-DateFormatter.xml
- test/reports/TEST-HammerCLI-MainCommand-loading-context-password.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Abstract-messages.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Table-print-collection-handle-ids.xml
- test/reports/TEST-HammerCLI-OptionBuilderContainer.xml
- test/reports/TEST-HammerCLI-Output-FieldFilter.xml
- test/reports/TEST-Fields-ContainerField-display-blank-is-allowed.xml
- test/reports/TEST-HammerCLI-CompleterWord.xml
- test/reports/TEST-HammerCLI-Apipie-Command-setting-resources.xml
- test/reports/TEST-HammerCLI-Modules-load-a-module.xml
- test/reports/TEST-constraints-HammerCLI-Validator-BaseConstraint-required.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-enumlist.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Base-print-collection-show-ids.xml
- test/reports/TEST-constraints-HammerCLI-Validator-AnyConstraint-exist-.xml
- test/reports/TEST-HammerCLI-ShellHistory-saving-history.xml
- test/reports/TEST-String.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Table-print-collection-formatters.xml
- test/reports/TEST-constraints-HammerCLI-Validator-AnyConstraint.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Base-print-collection.xml
- test/reports/TEST-Fields-ContainerField-display-.xml
- test/reports/TEST-HammerCLI-Settings-load-from-paths.xml
- test/reports/TEST-HammerCLI-Output-Adapter-CSValues-print-message.xml
- test/reports/TEST-HammerCLI-Settings.xml
- test/reports/TEST-HammerCLI-Output-RecordCollection.xml
- test/reports/TEST-HammerCLI-Modules-load-a-module-module-not-found.xml
- test/reports/TEST-HammerCLI-Output-Formatters-FieldFormatter.xml
- test/reports/TEST-HammerCLI-Completer-subcommand-completion.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Abstract.xml
- test/reports/TEST-HammerCLI-Output-Formatters-FormatterLibrary.xml
- test/reports/TEST-HammerCLI-AbstractCommand-subcommand-behavior-remove-subcommand.xml
- test/reports/TEST-HammerCLI-Output-Output-messages.xml
- test/reports/TEST-HammerCLI-MainCommand-loading-context-verbose.xml
- test/reports/TEST-HammerCLI-Completer-option-value-completion.xml
- test/reports/TEST-HammerCLI-AbstractCommand-subcommand-behavior-subcommand.xml
- test/reports/TEST-Fields-Field.xml
- test/reports/TEST-HammerCLI-AbstractCommand.xml
- test/reports/TEST-HammerCLI-CompleterWord-quoted-.xml
- test/reports/TEST-HammerCLI-Modules-load-a-module-module-runtime-exception.xml
- test/reports/TEST-HammerCLI-Output-Formatters-KeyValueFormatter.xml
- test/reports/TEST-constraints-HammerCLI-Validator-BaseConstraint-exist-.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-datetime.xml
- test/reports/TEST-HammerCLI-Output-Adapter-CSValues-print-collection-handle-fields-with-containers.xml
- test/reports/TEST-HammerCLI-Completer-command-completion.xml
- test/reports/TEST-HammerCLI-Options-OptionDefinition.xml
- test/reports/TEST-HammerCLI-Modules-load-all-modules.xml
- test/reports/TEST-HammerCLI-Output-Dsl-label.xml
- test/reports/TEST-constraints-HammerCLI-Validator-BaseConstraint-rejected.xml
- test/reports/TEST-HammerCLI-Apipie-OptionBuilder-setting-correct-normalizers.xml
- test/reports/TEST-HammerCLI-I18n.xml
- test/reports/TEST-MiniTest-Spec.xml
- test/reports/TEST-HammerCLI-Output-Output-adapters.xml
- test/reports/TEST-HammerCLI-MainCommand-loading-context-username.xml
- test/reports/TEST-HammerCLI-Options-Normalizers.xml
- test/reports/TEST-HammerCLI-Output-Dsl.xml
- test/reports/TEST-HammerCLI-Output-Output-data.xml
- test/reports/TEST-Fields-Field-display-.xml
- test/reports/TEST-HammerCLI-Output-Dsl-collection.xml
- test/reports/TEST-HammerCLI-AbstractCommand-subcommand-behavior-subcommand-.xml
- test/reports/TEST-HammerCLI-Output-Dsl-fields.xml
- test/reports/TEST-HammerCLI-MainCommand-loading-context.xml
- test/reports/TEST-HammerCLI-Completer.xml
- test/reports/TEST-String-interactive-.xml
- test/reports/TEST-HammerCLI-Output-Adapter-CSValues-print-collection-handle-fields-with-collections.xml
- test/reports/TEST-String-formatting.xml
- test/reports/TEST-HammerCLI-Output-Dsl-path-definition.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Abstract-error-messages.xml
- test/reports/TEST-HammerCLI-Output-Dsl-custom-fields.xml
- test/reports/TEST-HammerCLI-Output-Formatters-ColorFormatter.xml
- test/reports/TEST-HammerCLI-ExceptionHandler.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Base.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Abstract-test-data-for-field.xml
- test/reports/TEST-HammerCLI-Modules-load-a-module-success.xml
- test/reports/TEST-Fields-Field-parameters.xml
- test/reports/TEST-constraints-HammerCLI-Validator-AllConstraint-exist-.xml
- test/reports/TEST-Fields-Field-display-blank-is-allowed.xml
- test/reports/TEST-HammerCLI-Output-Formatters-LongTextFormatter.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Table-print-collection-sort-columns.xml
- test/reports/TEST-String-camelize.xml
- test/reports/TEST-String-indent.xml
- test/reports/TEST-HammerCLI-Output-Adapter-CSValues-print-collection.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-list.xml
- test/reports/TEST-HammerCLI-Apipie-OptionBuilder.xml
- test/reports/TEST-constraints-HammerCLI-Validator-AllConstraint.xml
- test/reports/TEST-HammerCLI-AbstractCommand-options.xml
- test/reports/TEST-HammerCLI-CompleterLine-line-complete.xml
- test/reports/TEST-HammerCLI-Output-Definition-empty-.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-json-input.xml
- test/unit/abstract_test.rb
- test/unit/validator_test.rb
- test/unit/main_test.rb
- test/unit/options/field_filter_test.rb
- test/unit/options/option_definition_test.rb
- test/unit/options/normalizers_test.rb
- test/unit/settings_test.rb
- test/unit/exception_handler_test.rb
- test/unit/utils_test.rb
- test/unit/fixtures/json_input/valid.json
- test/unit/fixtures/json_input/invalid.json
- test/unit/fixtures/apipie/documented.json
- test/unit/fixtures/apipie/architectures.json
- test/unit/apipie/command_test.rb
- test/unit/apipie/option_builder_test.rb
- test/unit/i18n_test.rb
- test/unit/option_builder_test.rb
- test/unit/output/fields_test.rb
- test/unit/output/adapter/csv_test.rb
- test/unit/output/adapter/abstract_test.rb
- test/unit/output/adapter/base_test.rb
- test/unit/output/adapter/table_test.rb
- test/unit/output/dsl_test.rb
- test/unit/output/output_test.rb
- test/unit/output/formatters_test.rb
- test/unit/output/record_collection_test.rb
- test/unit/output/definition_test.rb
- test/unit/completer_test.rb
- test/unit/history_test.rb
- test/unit/modules_test.rb
- test/unit/test_helper.rb
- test/unit/connection_test.rb
- bin/hammer
- doc/option_builders.md
- doc/design.uml
- doc/writing_a_plugin.md
- doc/installation_gem.md
- doc/option_normalizers.md
- doc/development_tips.md
- doc/i18n.md
- doc/creating_apipie_commands.md
- doc/developer_docs.md
- doc/design.png
- doc/creating_commands.md
- doc/installation_source.md
- doc/installation_rpm.md
- doc/installation.md
- doc/installation_deb.md
- doc/release_notes.md
- config/cli.modules.d/module_config_template.yml
- config/cli_config.template.yml
- locale/README.md
- locale/en_GB/hammer-cli.po
- locale/en_GB/LC_MESSAGES/hammer-cli.mo
- locale/es/hammer-cli.po
- locale/es/LC_MESSAGES/hammer-cli.mo
- locale/en/hammer-cli.po
- locale/en/LC_MESSAGES/hammer-cli.mo
- locale/hammer-cli.pot
- locale/Makefile
- locale/zanata.xml
- locale/fr/hammer-cli.po
- locale/fr/LC_MESSAGES/hammer-cli.mo
- LICENSE
- README.md
- hammer_cli_complete
homepage: http://github.com/theforeman/hammer-cli
licenses:
- GPL-3
metadata: {}
post_install_message: 
rdoc_options: []
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  requirements:
  - - '>='
    - !ruby/object:Gem::Version
      version: '0'
required_rubygems_version: !ruby/object:Gem::Requirement
  requirements:
  - - '>='
    - !ruby/object:Gem::Version
      version: '0'
requirements: []
rubyforge_project: 
rubygems_version: 2.1.11
signing_key: 
specification_version: 4
summary: Universal command-line interface
test_files:
- test/reports/TEST-HammerCLI-MainCommand.xml
- test/reports/TEST-HammerCLI-ShellHistory.xml
- test/reports/TEST-Fields-Field-display-blank-is-not-allowed.xml
- test/reports/TEST-Fields-ContainerField-display-blank-is-not-allowed.xml
- test/reports/TEST-HammerCLI-OptionBuilderContainer.0.xml
- test/reports/TEST-HammerCLI-Output-Adapter-CSValues.xml
- test/reports/TEST-HammerCLI-CompleterWord-complete-.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Table-print-collection-column-width.xml
- test/reports/TEST-HammerCLI-Options-OptionDefinition-context.xml
- test/reports/TEST-HammerCLI-Output-Definition.xml
- test/reports/TEST-HammerCLI-ShellHistory-loading-old-history.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-key-value-list.xml
- test/reports/TEST-HammerCLI-Apipie-Command-options.xml
- test/reports/TEST-HammerCLI-Apipie-Command-resource-defined.xml
- test/reports/TEST-HammerCLI-Output-Formatters-FormatterContainer.xml
- test/reports/TEST-HammerCLI-Output-Formatters-BooleanFormatter.xml
- test/reports/TEST-HammerCLI-Output-Adapter-CSValues-print-collection-formatters.xml
- test/reports/TEST-HammerCLI-AbstractCommand-subcommand-behavior.xml
- test/reports/TEST-constraints.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Table.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-enum.xml
- test/reports/TEST-HammerCLI-AbstractCommand-option-builder.xml
- test/reports/TEST-constraints-HammerCLI-Validator-BaseConstraint.xml
- test/reports/TEST-HammerCLI-Apipie-Command.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-bool.xml
- test/reports/TEST-HammerCLI-Apipie-OptionBuilder-with-hash-params.xml
- test/reports/TEST-HammerCLI-Output-Adapter-CSValues-print-collection-handle-ids.xml
- test/reports/TEST-Fields-ContainerField.xml
- test/reports/TEST-HammerCLI-AbstractCommand-output.xml
- test/reports/TEST-HammerCLI-Apipie-OptionBuilder-required-options.xml
- test/reports/TEST-HammerCLI-Modules.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-abstract.xml
- test/reports/TEST-HammerCLI-Apipie-OptionBuilder-filtering-options.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Table-print-collection.xml
- test/reports/TEST-HammerCLI-Options-OptionDefinition-formatters.xml
- test/reports/TEST-HammerCLI-Apipie-OptionBuilder-aliasing-resources.xml
- test/reports/TEST-HammerCLI-Modules-find-by-name.xml
- test/reports/TEST-HammerCLI-Output-Output-formatters.xml
- test/reports/TEST-HammerCLI-Output-Formatters-ListFormatter.xml
- test/reports/TEST-HammerCLI-AbstractCommand-exception-handler.xml
- test/reports/TEST-HammerCLI-CompleterLine-splitting-words.xml
- test/reports/TEST-HammerCLI-Output-Output.xml
- test/reports/TEST-HammerCLI-Apipie-OptionBuilder-with-one-simple-param.xml
- test/reports/TEST-HammerCLI-CompleterLine.xml
- test/reports/TEST-HammerCLI-Modules-names.xml
- test/reports/TEST-Fields-Field-hide-blank-.xml
- test/reports/TEST-HammerCLI-AbstractCommand-logging.xml
- test/reports/TEST-HammerCLI-Connection.xml
- test/reports/TEST-HammerCLI-CompleterWord-quote.xml
- test/reports/TEST-HammerCLI-AbstractCommand-build-options.xml
- test/reports/TEST-HammerCLI-Output-Formatters-DateFormatter.xml
- test/reports/TEST-HammerCLI-MainCommand-loading-context-password.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Abstract-messages.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Table-print-collection-handle-ids.xml
- test/reports/TEST-HammerCLI-OptionBuilderContainer.xml
- test/reports/TEST-HammerCLI-Output-FieldFilter.xml
- test/reports/TEST-Fields-ContainerField-display-blank-is-allowed.xml
- test/reports/TEST-HammerCLI-CompleterWord.xml
- test/reports/TEST-HammerCLI-Apipie-Command-setting-resources.xml
- test/reports/TEST-HammerCLI-Modules-load-a-module.xml
- test/reports/TEST-constraints-HammerCLI-Validator-BaseConstraint-required.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-enumlist.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Base-print-collection-show-ids.xml
- test/reports/TEST-constraints-HammerCLI-Validator-AnyConstraint-exist-.xml
- test/reports/TEST-HammerCLI-ShellHistory-saving-history.xml
- test/reports/TEST-String.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Table-print-collection-formatters.xml
- test/reports/TEST-constraints-HammerCLI-Validator-AnyConstraint.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Base-print-collection.xml
- test/reports/TEST-Fields-ContainerField-display-.xml
- test/reports/TEST-HammerCLI-Settings-load-from-paths.xml
- test/reports/TEST-HammerCLI-Output-Adapter-CSValues-print-message.xml
- test/reports/TEST-HammerCLI-Settings.xml
- test/reports/TEST-HammerCLI-Output-RecordCollection.xml
- test/reports/TEST-HammerCLI-Modules-load-a-module-module-not-found.xml
- test/reports/TEST-HammerCLI-Output-Formatters-FieldFormatter.xml
- test/reports/TEST-HammerCLI-Completer-subcommand-completion.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Abstract.xml
- test/reports/TEST-HammerCLI-Output-Formatters-FormatterLibrary.xml
- test/reports/TEST-HammerCLI-AbstractCommand-subcommand-behavior-remove-subcommand.xml
- test/reports/TEST-HammerCLI-Output-Output-messages.xml
- test/reports/TEST-HammerCLI-MainCommand-loading-context-verbose.xml
- test/reports/TEST-HammerCLI-Completer-option-value-completion.xml
- test/reports/TEST-HammerCLI-AbstractCommand-subcommand-behavior-subcommand.xml
- test/reports/TEST-Fields-Field.xml
- test/reports/TEST-HammerCLI-AbstractCommand.xml
- test/reports/TEST-HammerCLI-CompleterWord-quoted-.xml
- test/reports/TEST-HammerCLI-Modules-load-a-module-module-runtime-exception.xml
- test/reports/TEST-HammerCLI-Output-Formatters-KeyValueFormatter.xml
- test/reports/TEST-constraints-HammerCLI-Validator-BaseConstraint-exist-.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-datetime.xml
- test/reports/TEST-HammerCLI-Output-Adapter-CSValues-print-collection-handle-fields-with-containers.xml
- test/reports/TEST-HammerCLI-Completer-command-completion.xml
- test/reports/TEST-HammerCLI-Options-OptionDefinition.xml
- test/reports/TEST-HammerCLI-Modules-load-all-modules.xml
- test/reports/TEST-HammerCLI-Output-Dsl-label.xml
- test/reports/TEST-constraints-HammerCLI-Validator-BaseConstraint-rejected.xml
- test/reports/TEST-HammerCLI-Apipie-OptionBuilder-setting-correct-normalizers.xml
- test/reports/TEST-HammerCLI-I18n.xml
- test/reports/TEST-MiniTest-Spec.xml
- test/reports/TEST-HammerCLI-Output-Output-adapters.xml
- test/reports/TEST-HammerCLI-MainCommand-loading-context-username.xml
- test/reports/TEST-HammerCLI-Options-Normalizers.xml
- test/reports/TEST-HammerCLI-Output-Dsl.xml
- test/reports/TEST-HammerCLI-Output-Output-data.xml
- test/reports/TEST-Fields-Field-display-.xml
- test/reports/TEST-HammerCLI-Output-Dsl-collection.xml
- test/reports/TEST-HammerCLI-AbstractCommand-subcommand-behavior-subcommand-.xml
- test/reports/TEST-HammerCLI-Output-Dsl-fields.xml
- test/reports/TEST-HammerCLI-MainCommand-loading-context.xml
- test/reports/TEST-HammerCLI-Completer.xml
- test/reports/TEST-String-interactive-.xml
- test/reports/TEST-HammerCLI-Output-Adapter-CSValues-print-collection-handle-fields-with-collections.xml
- test/reports/TEST-String-formatting.xml
- test/reports/TEST-HammerCLI-Output-Dsl-path-definition.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Abstract-error-messages.xml
- test/reports/TEST-HammerCLI-Output-Dsl-custom-fields.xml
- test/reports/TEST-HammerCLI-Output-Formatters-ColorFormatter.xml
- test/reports/TEST-HammerCLI-ExceptionHandler.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Base.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Abstract-test-data-for-field.xml
- test/reports/TEST-HammerCLI-Modules-load-a-module-success.xml
- test/reports/TEST-Fields-Field-parameters.xml
- test/reports/TEST-constraints-HammerCLI-Validator-AllConstraint-exist-.xml
- test/reports/TEST-Fields-Field-display-blank-is-allowed.xml
- test/reports/TEST-HammerCLI-Output-Formatters-LongTextFormatter.xml
- test/reports/TEST-HammerCLI-Output-Adapter-Table-print-collection-sort-columns.xml
- test/reports/TEST-String-camelize.xml
- test/reports/TEST-String-indent.xml
- test/reports/TEST-HammerCLI-Output-Adapter-CSValues-print-collection.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-list.xml
- test/reports/TEST-HammerCLI-Apipie-OptionBuilder.xml
- test/reports/TEST-constraints-HammerCLI-Validator-AllConstraint.xml
- test/reports/TEST-HammerCLI-AbstractCommand-options.xml
- test/reports/TEST-HammerCLI-CompleterLine-line-complete.xml
- test/reports/TEST-HammerCLI-Output-Definition-empty-.xml
- test/reports/TEST-HammerCLI-Options-Normalizers-json-input.xml
- test/unit/abstract_test.rb
- test/unit/validator_test.rb
- test/unit/main_test.rb
- test/unit/options/field_filter_test.rb
- test/unit/options/option_definition_test.rb
- test/unit/options/normalizers_test.rb
- test/unit/settings_test.rb
- test/unit/exception_handler_test.rb
- test/unit/utils_test.rb
- test/unit/fixtures/json_input/valid.json
- test/unit/fixtures/json_input/invalid.json
- test/unit/fixtures/apipie/documented.json
- test/unit/fixtures/apipie/architectures.json
- test/unit/apipie/command_test.rb
- test/unit/apipie/option_builder_test.rb
- test/unit/i18n_test.rb
- test/unit/option_builder_test.rb
- test/unit/output/fields_test.rb
- test/unit/output/adapter/csv_test.rb
- test/unit/output/adapter/abstract_test.rb
- test/unit/output/adapter/base_test.rb
- test/unit/output/adapter/table_test.rb
- test/unit/output/dsl_test.rb
- test/unit/output/output_test.rb
- test/unit/output/formatters_test.rb
- test/unit/output/record_collection_test.rb
- test/unit/output/definition_test.rb
- test/unit/completer_test.rb
- test/unit/history_test.rb
- test/unit/modules_test.rb
- test/unit/test_helper.rb
- test/unit/connection_test.rb
